<template>
  <!-- 装车作业页面 -->
  <div class="homeworkPath">
    <div class="top">
      <el-input class="el-input" placeholder="请输入内容" v-model="input" clearable> </el-input>
      <el-button type="primary" class="btn" @click="onclick(0)">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" @click="onclick(1)">
        <i class="el-icon-plus"></i>新增
      </el-button>
    </div>
    <dilTable v-bind.sync="option">
      <el-table-column fixed="right" label="操作" width="100">
        <template slot-scope="scope">
          <el-button @click="onclick(2,scope.row.resultId)" type="text" size="small"
            >修改</el-button
          >
          <el-button
            type="text"
            size="small"
            @click="deleteclick(scope.row.resultId)"
            >删除</el-button
          >
        </template>
      </el-table-column>
    </dilTable>
  </div>
</template>
<script>
export default {
  name: "wagonload",
  data() {
    return {
      input: "",
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/tms/getTmstrainWagonLoad?apiId=209&resultType=2",
      },
    };
  },
  methods: {
    onclick(num,resultId) {
      if (num == 0) {
        this.option.requestUrl = "/api/v1/tms/getTmstrainWagonLoad?apiId=209&resultType=2&con="+this.input
      } else if (num == 1) {
        this.$router.push("/addWagonLoadEmergency")
      } else if (num == 2) {
         this.$router.push("/editWagonLoadEmergency/" + resultId)
      }
    },
    deleteclick(resultId) {
      this.$confirm("是否删除", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.$message({
            type: "success",
            message: "删除成功!",
          });
          this.axios
            .post(
              "/api/v1/tms/deleteTmstrainLoadingResultByResultId?resultId=" +
                resultId
            )
            .then(() => {
              this.$router.go(0);
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消删除!",
          });
        });
    },
  },
};
</script>
<style lang='scss' scoped>
.homeworkPath {
  .top {
     padding: 1.25rem 0.375rem;
     .el-input{
       width: 20%;
       margin-right: 40rpx;
     }
     .btn{
       width: 5.5%;
       margin-left: 0.25rem;
     }
  }
}
</style>